.product .product-item-image-wrapper {
    padding-top: 100%;
}

.product .product-item-image-original,
.product .product-item-image-alternative {
    left: 50%;
    transform: translateX(-50%);
    width: calc(100% - 2rem);
}

.product__colors {}
.product__colors .notallowed {
    display: none;
}
.product__colors .product-item-scu-item-color-container {
    max-width: initial;
    width: 1.5rem;
    height: 1.5rem;
    padding: 0;
    margin: 0.25rem;
}

.product__colors .product-item-scu-item-color-block {
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.75);
    width: 100%;
    height: 100%;
    outline: none;
    padding-top: 0;
}
.product__colors .product-item-scu-item-color-container.selected .product-item-scu-item-color-block {
    box-shadow: 0 0 3px rgba(0, 0, 0, 1);
}

.product__colors .product-item-scu-item-color {
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    height: 100%;
}

.product__badges {
    z-index: 18;
}

.product__size_btn {
    border: 1px solid var(--primary);
    height: 35px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.5rem;
    cursor: pointer;
}

.product__size_btn::after {
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    background: none;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f077";
    color: var(--primary);
}

.product__size_btn.collapsed::after {
    content: "\f078";
}

.product__size_btn > span {
    font-weight: 700;
}

.product__size {
    position: absolute;
    left: 0;
    bottom: calc(100% + 2px);
    display: flex;
    flex-direction: column;
    width: 100%;
    max-height: 50vh;
    overflow-y: auto;
    background-color: var(--white);
    border: 1px solid var(--primary);
}

.product__size.collapsing {
    position: absolute;
}

.product__size li {
    padding: 0;
}

.product__size .product-item-scu-item-text-container {
    transition: all 0.3s ease;
}

.product__size .product-item-scu-item-text-block {
    outline: none;
    padding: 0.5rem;
}

.product__size .product-item-scu-item-text-container.notallowed .product-item-scu-item-text-block::after {
    content: 'Нет в налиичии';
    background: none;
    font-weight: 700;
    display: inline-block;
    position: relative;
    top: auto;
    left: auto;
    right: auto;
    bottom: auto;
    margin-left: 0.5rem;
    transition: all 0.3s ease;
}

.product__size .product-item-scu-item-text {
    display: inline-block;
    font-size: inherit;
    font-weight: 700;
    text-align: left;
    transition: all 0.3s ease;
}

.product__size .product-item-scu-item-text-container:hover .product-item-scu-item-text-block::after,
.product__size .product-item-scu-item-text-container:hover .product-item-scu-item-text {
    color: var(--primary);
}

.collection .owl-carousel-lookbook .owl-nav .owl-prev.disabled,
.collection .owl-carousel-lookbook .owl-nav .owl-next.disabled {
    display: none;
}

.collection .product__size_btn > span {
    font-size: 0.75rem;
}